#!/bin/bash
rm -rf sample >/dev/null ||:
mkdir sample
cd sample
dd if=/dev/urandom of=./abc.txt bs=1 count=3  >/dev/null 2>&1
dd if=/dev/urandom of=./def.txt bs=1 count=3  >/dev/null 2>&1
dd if=/dev/urandom of=./klm.txt bs=1 count=3  >/dev/null 2>&1
dd if=/dev/urandom of=./bfu.txt bs=1 count=3  >/dev/null 2>&1
dd if=/dev/urandom of=./irc.txt bs=1 count=3  >/dev/null 2>&1
dd if=/dev/urandom of=./abcd.txt bs=1 count=3  >/dev/null 2>&1
dd if=/dev/urandom of=./pokus.txt bs=1k count=5 >/dev/null 2>&1
dd if=/dev/urandom of=./foo.txt bs=1k count=830 >/dev/null 2>&1
dd if=/dev/urandom of=./soubor.txt bs=1k count=91 >/dev/null 2>&1
cd ..

./filesbysize ./sample >got.log

cmp --silent got.log expected.log
