#if 0
export LD_PRELOAD="$(readlink -f libedit.so)"
test -r "$LD_PRELOAD" || exit 1
gcc -ledit -xc $0 || exit $?
MALLOC_PERTURB_=155 ./a.out || exit $?
valgrind --leak-check=full --error-exitcode=42 ./a.out
exit $?
#endif

#include <histedit.h>
#include <stdlib.h>

int main()
{
    EditLine *e = el_init("libedit-smoke.c", stdin, stdout, stderr);
    if (!e)
        return EXIT_FAILURE;

    el_end(e);
    return EXIT_SUCCESS;
}
