#!/usr/bin/python -tt
# -*- coding: utf-8 -*-

import sys

import relpath as relpath_module

try:
    if relpath_module.__doc__.strip() != "relpath task for Open House 2013":
        print "Invalid program, user is cheating probably."
        sys.exit(2)
except Exception:
    sys.exit(2)

from relpath import relpath


try:
    assert(relpath("/etc/passwd", "/") == "etc/passwd")
    assert(relpath("/etc/passwd", "/root") ==  "../etc/passwd")
    assert(relpath("a", "b/c") ==  "../../a")
    assert(relpath("a", "b/c") ==  "../../a")
    assert(relpath("a", "a") ==  ".")
    assert(relpath("/foo/bar/bat", "/x/y/z") ==  '../../../foo/bar/bat')
    assert(relpath("/foo/bar/bat", "/foo/bar") ==  'bat')
    assert(relpath("/foo/bar/bat", "/") ==  'foo/bar/bat')
    assert(relpath("/", "/foo/bar/bat") ==  '../../..')
    assert(relpath("/foo/bar/bat", "/x") ==  '../foo/bar/bat')
    assert(relpath("/x", "/foo/bar/bat") ==  '../../../x')
    assert(relpath("/", "/") ==  '.')
    assert(relpath("/a", "/a") ==  '.')
    assert(relpath("/a/b", "/a/b") ==  '.')
    sys.exit(0)
except AssertionError:
    sys.exit(1)
except Exception, e:
    sys.exit(2)
