#!/bin/bash

LOG=$(mktemp)
export PATHFINDERPASSWORD="NASARulezz"
export SECRETPATH=/my/secret/key/is/here 
./sandbox.sh /usr/bin/env >$LOG
r=$?
SANDBOX=$(sed -e '1!d' -e 's|^Sandbox \(/tmp[^ ]*\) .*$|\1|' <$LOG )
if [ $r != 0 -o -e "$SANDBOX" ]
then
  # sandbox not cleaned
  rm -f "$SANDBOX" 2>/dev/null ||:
  exit 1
fi

grep -q -e PATHFINDERPASSWORD -e SECRETPATH <$LOG
r=$?

rm $LOG

if [ $r = 0 ]
then
  # environment cleared insufficiently
  exit 1
fi
exit 0
