#!/bin/bash

set -x
cp /usr/bin/tar tar2
strip tar2

[ -r tar ] || exit 1

BINARY=`pwd`/tar2
OUTPUT=`timeout 3 ./qa-tar-sparse $BINARY 2>/dev/null`
[ "$OUTPUT" != "OPTIMIZED" ] && echo "fail in $BINARY" - $OUTPUT && exit 1

BINARY=`pwd`/tar
OUTPUT=`timeout 3 ./qa-tar-sparse $BINARY 2>/dev/null`
[ "$OUTPUT" != "SLOW" ] && echo "fail in $BINARY" - $OUTPUT && exit 1

# OK
exit 0

