#!/usr/bin/ruby

def pascal(n = 1, pe = 1)
 
  return [] if n < 1 or pe < 1
 
  # set up a new array of arrays with the first value
  p = [[pe]]
 
  n.times do |qe|
 
    # inject a new array starting value
    p << p[qe].inject([qe]) do |result, elem|
 
      # if we've reached the end, tack on arg.
      # else, tack on current elem + previous elem
      if p[qe].length == result.length
        result << qe
      else
        result << elem + p[qe][result.length]
      end
    end
  end
 
  p
 
end

# we want only one positive integer as argumet
abort "Usage: triangle.rb SIZE [PEAK]" if ARGV.length < 1 or ARGV[0].to_i <=0

# print the output
pascal(ARGV[0].to_i, (ARGV.length>1 and ARGV[1].to_i) ? ARGV[1].to_i : 1).each do |line|
  line.each do |num|
    print num, " "
  end
  puts
end

